#
# Copyright (C) 2023 Juan Domingo (Juan.Domingo@uv.es)
#
# This script is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

if (system.file(package="org.Hs.eg.db")=="")
{
 quit(save="no",status=1)
}

if (system.file(package="stringr")=="")
{
 quit(save="no",status=1)
}

library('org.Hs.eg.db')
library(stringr)

source('FillTables.R');
FillGene();
FillGeneInEnsemble();
Fillhas_ensembleid();
FillGeneTranscript();
Filltranscribes_as();
FillSynonim();
q(save="no",status=0);

