#!/bin/bash
#
# Copyright (C) 2023 Juan Domingo (Juan.Domingo@uv.es)
#
# This script is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

rm -f inform.txt

./FillFromPapers.pl data.csv fill_all_studies.sql > inform.txt
if [ $? -eq 0 ]; then
 echo "Perl macro FillFromPapers.pl ended succesfully"
 echo "A detailed report is available in file inform.txt"
else
 echo "Error in Perl macro FillFromPapers.pl"
 exit 1
fi
mv -f *.sql ../

